/* Réinitialisation des styles de base */
* {
  margin: 0;
  padding: 0;
}

/* Styles généraux */
body {
  font-family: Arial, sans-serif;
}

header {
  background-color: #333;
  color: white;
  padding: 20px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  position: fixed;
  top: 0;
  left: 0;
  width: 98%;
  z-index: 1000; /* Adjust as needed */
}

nav ul {
  list-style: none;
  display: flex;
}

nav li {
  margin-right: 20px;
}

nav a {
  text-decoration: none;
  color: white;
}
nav a:hover {
  color: white;
  font-weight: bold; /* Pour mettre en évidence le texte */
  transform: scale(3.1); /* Pour agrandir légèrement le lien */
}

/* Apply styles to the hero section */
.hero {
  position: relative;
  height: 100vh;
  background-image: url("/img/images.jpg"); /* Replace with your image */
  background-size: cover;
  background-position: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: white;
  text-align: center;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5); /* Adjust the opacity as needed */
}

.hero-content {
  z-index: 1;
  margin-bottom: 20px;
}
.hero-content h1 {
  font-size: 30px;
}
/* Apply styles to the button */
.btn {
  display: inline-block;
  padding: 10px 20px;
  background-color: #007bff;
  color: white;
  text-decoration: none;
  border-radius: 5px;
}

.btn:hover {
  background-color: #0056b3;
}

/* Apply styles to the announcement */
.announcement {
  margin-top: 10px;
  background-color: rgba(0, 0, 0, 0.8);
  padding: 5px;
  border-radius: 5px;
  overflow: hidden;
  width: 99%;
  white-space: nowrap;
}

/* Apply styles to the marquee text */
.marquee {
  color: red;
}

/* Apply styles to the working-hours section */
.working-hours {
  margin: 20px;
  background-color: rgba(209, 25, 25, 0.863);

  border-radius: 5px;
  padding: 50px;
}

.features {
  display: flex;
  flex-direction: row;
  justify-content: center;

  padding: 50px 0;
  background-color: #f7f7f7;
}

.feature {
  text-align: center;

  margin: 10px;

  padding: 20px;
  max-width: 300px;
  border: 1px solid #ddd;
  border-radius: 5px;
  background-color: white;
}

.feature img {
  width: 250px;
  height: 200px;
  margin-bottom: 10px;
}

/* Apply styles to the gallery section */
.gallery {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 20px;
}

.image {
  flex: 0 0 calc(33.33% - 20px); /* Three images per row */
  margin-bottom: 20px;
  overflow: hidden;
  border-radius: 5px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.image img {
  max-width: 100%;
  height: 100%;
  transition: transform 0.3s;
}

.image:hover img {
  transform: scale(1.05);
}

/* Apply styles to the contact section */
.contact {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 50px;
  background-color: #f7f7f7;
}

.contact-info,
.contact-form {
  flex: 1;
  padding: 40px;

}

.contact-info {
  background-color: #f5f5f5;
  border-radius: 5px;
  margin-right: 20px;
 
}

.contact-form {
  background-color: #fff;
  border-radius: 5px;
}

/* Style form elements */
.contact-form input,
.contact-form textarea {
  display: block;
  width: 100%;
  padding: 10px;
  margin-bottom: 15px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.contact-form button {
  display: inline-block;
  padding: 10px 20px;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

.contact-form button:hover {
  background-color: #0056b3;
}

#scrollToTopButton {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 999;
  background-color: #515253;
  color: white;
  border: none;
  border-radius: 5px;
  padding: 10px 15px;
  cursor: pointer;
}

#scrollToTopButton:hover {
  background-color: #515253;
}

footer {
  background-color: #333;
  color: white;
  text-align: center;
  padding: 10px;
}



/* ... (styles précédents) ... */

/* Media Queries pour le rendu responsive */
@media screen and (max-width: 768px) {
  /* Réduire la taille de la police de l'en-tête */
  header {
    padding: 15px;
    width: 97%;
  }
  header h1 {
    font-size: 20px;
  }

  /* Ajuster les marges pour les liens de navigation sur de petits écrans */
  nav li {
    margin-right: 10px;
  }
  .announcement {
    width: 95%;
  }

  /* Ajuster la taille de la police des fonctionnalités (features) sur de petits écrans */
  .features {
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 100%;
    padding: 10px;
  }

  .feature img {
    width: 55%;
    height: auto;
  }

  /* Ajuster la largeur des images de la galerie sur de petits écrans */
  .image {
    flex: 0 0 calc(50% - 10px);
  }
  .contact {
    display: flex;
    flex-direction: column;
  }
  .contact-form,
  .contact-info {
    width: 99%;
  }
}

/* Media Queries pour les écrans encore plus petits */
@media screen and (max-width: 480px) {
  header {
    padding: 10px; /* Réduire le padding de l'en-tête */
    flex-direction: column;
    width: 97%;
  }

 
  nav li {
    margin-right: 0; /* Pas de marge à droite */
    margin-bottom: 10px; /* Ajouter un espace entre les liens */
    margin: 4px;
  }

  /* Ajuster la taille de la police de l'annonce */
  .announcement {
    font-size: 12px;
  }

  /* Ajuster la taille de la police des fonctionnalités (features) */
  .feature {
    padding: 5px;
    max-width: 66%;
    padding: 10px;
  }
  .feature img {
    width: 44%;
    height: auto;
  }
}
